Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.windows
Interface TopComponent.Registry

Enclosing class:
  TopComponent

    public static interface TopComponent.Registry

Registry of all top components. There is one instance that can be obtained via `TopComponent.getRegistry()` and it permits listening to the currently selected element, and to the activated nodes assigned to it.

Field Summary
`static String` | `PROP_ACTIVATED` Name of property for the selected top component.
`static String` | `PROP_ACTIVATED_NODES` Name of property for lastly activated nodes nodes.
`static String` | `PROP_CURRENT_NODES` Name of property for currently selected nodes.
`static String` | `PROP_OPENED` Name of property for the set of opened components.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add a property change listener.
`TopComponent` | `getActivated()` Get the currently selected element.
`Node[]` | `getActivatedNodes()` Getter for the lastly activated nodes.
`Node[]` | `getCurrentNodes()` Getter for the currently selected nodes.
`Set` | `getOpened()` Get reference to a set of all opened componets in the system.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove a property change listener.

Field Detail

### PROP_OPENED

    static final String PROP_OPENED

  Name of property for the set of opened components.

  See Also:
    Constant Field Values

### PROP_ACTIVATED

    static final String PROP_ACTIVATED

  Name of property for the selected top component.

  See Also:
    Constant Field Values

### PROP_CURRENT_NODES

    static final String PROP_CURRENT_NODES

  Name of property for currently selected nodes.

  See Also:
    Constant Field Values

### PROP_ACTIVATED_NODES

    static final String PROP_ACTIVATED_NODES

  Name of property for lastly activated nodes nodes.

  See Also:
    Constant Field Values

Method Detail

### getOpened

    Set getOpened()

  Get reference to a set of all opened componets in the system.

  Returns:
    live read-only set of `TopComponent`s

### getActivated

    TopComponent getActivated()

  Get the currently selected element.

  Returns:
    the selected top component, or `null` if there is none

### getCurrentNodes

    Node[] getCurrentNodes()

  Getter for the currently selected nodes.

  Returns:
    array of nodes or null if no component activated or it returns null from getActivatedNodes ().

### getActivatedNodes

    Node[] getActivatedNodes()

  Getter for the lastly activated nodes. Comparing to previous method it always remembers the selected nodes of the last component that had ones.

  Returns:
    array of nodes (not null)

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

  Add a property change listener.

  Parameters:
    `l` - the listener to add

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

  Remove a property change listener.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.